kateli1991

如何使用easy_-ins安装Python 2.7苹果版本的pycairo



我想在Mac OSX Lion上安装Cairo的Python绑定,这样我就可以在苹果的Python 2.7版本中使用它们。我倾向于使用easy_install安装Python模块等,但在这种情况下似乎不起作用:

$ sudo easy_install pycairo
Searching for pycairo
Reading http://pypi.python.org/simple/pycairo/
Reading http://cairographics.org/pycairo
Best match: pycairo 1.10.0
Downloading http://cairographics.org/releases/pycairo-1.10.0.tar.bz2
Processing pycairo-1.10.0.tar.bz2
error: Couldn't find a setup script in /tmp/easy_install-BYpm4Y/pycairo-1.10.0.tar.bz2

在Stack Overflow的其他地方也有类似的问题,但是答案并不能解释我在这里做错了什么。

这个问题与Python2.6有关,接受的答案使用的是Macports而不是easy_install,另一个答案似乎建议使用我在上面尝试过的方法(但失败了):

How do you install pycairo on Mac OS X?

这个问题涉及到从源头上建立pycairo,我不想这么做:

How to install pycairo on osx?


浏览 759
评论 - 1 月,3 周 之前提问
0 个回答

目前没有回答

撰写回答

侧边栏

A


B